POST /WorkApps/Accesses
Bulk create or update user access records to grant or sync app access programmatically.
Authorizations
X-API-KEYstringRequired
Public API key used to identify the client application. It should be included in all requests.
Header parameters
X-API-SECRETstringRequiredExample:
API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.
YOUR_API_SECRETBody
Responses
201
Created
No content
401
Unauthorized
404
Not Found
500
Internal Server Error
post/api/v1/WorkApps/Accesses
POST /api/v1/WorkApps/Accesses HTTP/1.1
Host: open-api.getcakewalk.io
X-API-KEY: YOUR_API_KEY
X-API-SECRET: YOUR_API_SECRET
Content-Type: application/json
Accept: */*
Content-Length: 170
{
"data": [
{
"workAppId": "123e4567-e89b-12d3-a456-426614174000",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"permissionLevelId": "123e4567-e89b-12d3-a456-426614174000"
}
]
}No content
PreviousGET /WorkApps/{workAppId}/PermissionLevels
NextPUT /WorkApps/{workAppId}/Policies/{requestType}
Last updated
Was this helpful?